%define name libmowgli

%define major 0
%define libname %mklibname mowgli2_ %major
%define libnamedev %mklibname -d mowgli2

Summary: Development framework with high performance algorithms
Name: %{name}
Version: 2.1.3
Release: %mkrel 3
Source0: http://distfiles.atheme.org/libmowgli-%version.tar.xz
License: BSD
Group: System/Libraries
URL: http://www.atheme-project.org/projects/mowgli.shtml
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes: 	%{name} < %version
BuildRequires: %{_lib}openssl-devel

%description
mowgli is a development framework for C (like GLib), which provides
high performance and highly flexible algorithms. It can be used as a
suppliment to GLib (to add additional functions (dictionaries,
hashes), or replace some of the slow GLib list manipulation
functions), or stand alone. It also provides a powerful hook system
and convenient logging for your code, as well as a high performance
block allocator.


%package -n %{libname}
Group: System/Libraries
Summary: Development framework library

%description -n %{libname}
mowgli is a development framework for C (like GLib), which provides
high performance and highly flexible algorithms. It can be used as a
suppliment to GLib (to add additional functions (dictionaries,
hashes), or replace some of the slow GLib list manipulation
functions), or stand alone. It also provides a powerful hook system
and convenient logging for your code, as well as a high performance
block allocator.

%package -n %libnamedev
Group: Development/Libraries
Summary: Development framework header files
Requires: %libname = %version
Provides: %name-devel = %version-%release

%description -n %libnamedev
mowgli is a development framework for C (like GLib), which provides
high performance and highly flexible algorithms. It can be used as a
suppliment to GLib (to add additional functions (dictionaries,
hashes), or replace some of the slow GLib list manipulation
functions), or stand alone. It also provides a powerful hook system
and convenient logging for your code, as well as a high performance
block allocator.

%prep
%setup -qn libmowgli-2-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root)
%_libdir/libmowgli-2.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root)
%doc AUTHORS
%_libdir/libmowgli-2.so
%_libdir/pkgconfig/libmowgli-2.pc
%_includedir/%{name}-2/


%changelog
* Mon Dec 02 2019 tex - 2.1.3-3pclos2019
- rebuild against updates

* Tue Jun 04 2019 tex - 2.1.3-2pclos2019
- rebuild against updates

* Mon Oct 02 2017 bb2 <bb2> - 2.1.3-1pclos2017
- new version

* Mon Apr 24 2017 bb2 <bb2> - 2.0.0-3pclos2017
- rebuild for 2017

* Fri Apr 24 2014 bb <bb> - 2.0.0-2pclos2014
- rebuild for new openssl

* Thu Apr 24 2014 ghostbunny <ghostbunny at gmx dot de> - 2.0.0-1pclos2014
- 2.0.0
- remove ldconfig post and postun scripts

